QGIS Application - Bug report #18162
Disabling and reenabling Processing multiple times throws Python error
2018-02-21 09:04 AM - Alexander Bruy

Status: Closed
Priority: Low
Assignee: Victor Olaya
Category: Processing/Core
Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 26053
Description
Steps to reproduce:

1. Start QGIS

2. Open Plugin Manager
3. Disable Processing plugin
4. Then enable it back
5. Repeat steps 3-4 several times
At some stage (I get it on the first or second iteration) Python error will be thrown
An error has occurred while executing Python code:
TypeError: QgsProcessingProvider.refreshAlgorithms(): too many arguments

Not sure if this is local issue or not. Assigning "Low" priority as IMHO this case is very specific (nobody will enable/disable Processing
multiple times).

Associated revisions

Revision d3a4a345 - 2018-02-21 10:42 PM - Arnaud Morvan

[processing] Fix slot prototype in ModelerAlgorithmProvider. Fix #18162

History

#1 - 2018-02-21 09:52 AM - Borys Jurgiel

I've noticed the same, but didn't bother you, as it's a marginal issue.

#2 - 2018-02-21 06:05 PM - Arnaud Morvan

It raise on first reload for me, and a new group without name appear with QGIS logo and with duplicated QGIS native groups as children.

#3 - 2018-02-21 10:50 PM - Arnaud Morvan
- Status changed from Open to In Progress

Pull request proposed : https://github.com/qgis/QGIS/pull/6408
https://github.com/qgis/QGIS/pull/6408

#4 - 2018-02-22 12:03 AM - Arnaud Morvan
- % Done changed from 0 to 100
- Status changed from In Progress to Closed

Applied in changeset commit:qgis|d3a4a3451552517fa5a03d90d86d615a58975404.

#5 - 2018-02-22 09:12 AM - Giovanni Manghi
- Resolution set to fixed/implemented
